# norootforbuild

%define _varlibdir /var/lib
%define _varcachedir /var/cache
%define _initdir /etc/rc.d
%define _sysconfigdir /etc
%define _logrotatedir /etc/logrotate.d
%define _logdir /var/log 

%define apiversion %(echo %{version} | awk -F. '{print $1 "." $2}')

Summary: Main MythTV plugins.
Name:    mythplugins
Version: 0.21
Release: 14.51
License: GPL2
Group:   Applications/Multimedia
URL:     http://www.mythtv.org/
Source0: http://www.mythtv.org/mc/%{name}-%{version}.tar.bz2
Source1: mythweb.conf
Source2: README.mythweb.SUSE
Patch0:  mythplugins-0.21-svnfixes.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  gcc-c++ qt3-devel
%if %{suse_version} > 1000
BuildRequires:  Mesa
%else
BuildRequires: xorg-x11-Mesa-devel
%endif
BuildRequires: xorg-x11-Mesa-devel
BuildRequires: xorg-x11-devel
BuildRequires: libjack-devel
BuildRequires: libjack0
%if %{suse_version} >= 1010
BuildRequires: pkg-config
%else
BuildRequires: pkgconfig
%endif
### mythmusic
BuildRequires: flac-devel libid3tag-devel libvorbis-devel mad-devel
BuildRequires: libcdaudio libcdaudio-devel
BuildRequires: cdparanoia
BuildRequires: fftw3 fftw3-devel
BuildRequires: libvisual-devel
BuildRequires: libmp3lame-devel
BuildRequires: SDL-devel
BuildRequires: faad2-devel
BuildRequires: libraw1394-devel
BuildRequires: libiec61883-devel
BuildRequires: libavc1394-devel
BuildRequires: taglib-devel
### mythgallery
BuildRequires: libtiff-devel
%if %{suse_version} >= 1030
BuildRequires: libexif-devel
%else
BuildRequires: libexif
%endif
### mythgame
BuildRequires: zlib-devel
### mythdvd
BuildRequires: libdvdread-devel nasm
# nasm >= 0.98.36
BuildRequires: mjpegtools xvid-devel
BuildRequires: a52dec libfame-devel
BuildRequires: libquicktime1
BuildRequires: transcode
BuildRequires: libdvdcss-devel
BuildRequires: freetype2-devel
### mythbrowser
BuildRequires: libmyth-devel
BuildRequires: kdelibs3-devel
### mythphone
BuildRequires: libmyth-devel
BuildRequires: termcap
%if %{suse_version} >= 1010
BuildRequires: festival-devel
%else
BuildRequires: festival
%endif

%description
This is a consolidation of all the official MythTV plugins that used to be
distributed as separate downloads from mythtv.org.

%package doc
Summary:   mythTV documentation files
Group:     Applications/Multimedia
Obsoletes: mythplugins

%description doc
This is a consolidation of all the official MythTV plugins that used to be
distributed as separate downloads from mythtv.org.

%package -n mythmusic
Summary: The music player add-on module for MythTV.
Group: Applications/Multimedia
Requires: mythtv-frontend-api = %{apiversion}

%description -n mythmusic
Music add-on for mythtv.

%package -n mythvideo
Summary:   A generic video player frontend module for MythTV.
Group:     Applications/Multimedia
Requires:  mythtv-frontend-api = %{apiversion}
Requires:  MPlayer
Requires:  perl-libwww-perl
Requires:  transcode >= 0.6.8
Provides:  mythplugins-dvd
Obsoletes: mythplugins-dvd < 0.21

%description -n mythvideo
MythVideo is a MythTV module that allows you to play video files and
DVD's on a myth-box and (optionally) rip DVD's and transcode their
video and audio content to other (generally smaller) formats.
The playing features are simply myth-style wrappers for your favourite
DVD playing software (mplayer, ogle, xine, etc). The transcoding
is based on and derived from the excellent transcode package.

%package -n mythgallery
Summary:  A gallery/slideshow module for MythTV.
Group:    Applications/Multimedia
Requires: mythtv-frontend-api = %{apiversion}

%description -n mythgallery
A gallery/slideshow module for MythTV.

%package -n mythgame
Summary:  A game frontend (xmame, nes, snes, pc) for MythTV.
Group:    Applications/Multimedia
Requires: mythtv-frontend-api = %{apiversion}

%description -n mythgame
A game frontend (xmame, nes, snes, pc) for MythTV.

%package -n mythnews
Summary:  A RSS News Feed Plugin for MythTV.
Group:    Applications/Multimedia
Requires: mythtv-frontend-api = %{apiversion}

%description -n mythnews

%package -n mythbrowser
Summary:  A small web browser module for MythTV.
Group:    Applications/Multimedia
Requires: mythtv-frontend-api = %{apiversion}

%description -n mythbrowser
MythBrowser is a full fledged web-browser (multiple tabs) to display
webpages in full-screen mode. Simple page navigation is
possible. Starting with version 0.13 it also has full support for
mouse driven navigation (right mouse opens and clos es the popup
menu).

MythBrowser also contains a BookmarkManager to manage the website
links in a simple mythplugin.

%package -n mythphone
Summary:  A video conferencing module for MythTV.
Group:    Applications/Multimedia
Requires: mythtv-frontend-api = %{apiversion}

%description -n mythphone
Mythphone is a phone and videophone capability on MYTH using the
standard SIP protocol.  It is compatible with Microsoft XP Messenger
and with SIP Service Providers such as Free World Dialup
(fwd.pulver.com).

%package -n mythcontrols
Summary:  A key bindings editor for MythTV.
Group:    Applications/Multimedia
Requires: mythtv-frontend-api = %{apiversion}

%description -n mythcontrols
MythControls is a key bindings editor for MythTV.

%package -n mythflix
Summary:  A NetFlix module for MythTV.
Group:    Applications/Multimedia
Requires: mythtv-frontend-api = %{apiversion}

%description -n mythflix
MythFlix is a NetFlix queue manager for MythTV.

%package -n mytharchive
Summary:  A plugin to archive your recordings to DVD
Group:    Applications/Multimedia
Requires: mythtv-frontend-api = %{apiversion}
Requires: mythtv-transcode = %{version}
Requires: python >= 2.3.5
Requires: python-mysql
Requires: python-imaging
Requires: mjpegtools
Requires: ffmpeg
Requires: dvdauthor >= 0.6.11
Requires: dvd+rw-tools
%if %suse_version > 1010
Requires: mkisofs >= cdrkit.1.0pre5
%else
Requires: mkisofs >= 2.01
%endif

%description -n mytharchive
MythArchive is a MythTV style plugin that uses the Mythburn Script to
create and burn DVD's from MythTV recordings, MythVideo files or any
video files available on a MythTV system. It can also export recordings
to a native archive format that can then be imported back into a mythtv
system restoring all the associated metadata.

%package -n mythweather
Summary:  A plugin to show the actual weather forecast
Group:    Applications/Multimedia
Requires: mythtv-frontend-api = %{apiversion}

%description -n mythweather

%package -n mythweb
Summary: web frontend for scheduling and managing reording for mythtv
Group: Applications/Multimedia
Requires: apache2-mod_php5 php5-mysql php5-posix

%description -n mythweb 
    MythWeb is a set of php files intended (note the use future tense)
to let you access your listings, flag shows for recording, delete
recordings, etc., from a web browser. At some point in the future, it may
allow you to play your recorded content (music and/or(?) video) across a
network. Then again, it may not.

    Note that MythWeb is totally insecure and makes no pretense of
including any security mechanisms of any sort. You should really only run it
on an isolated network or (at the very least) behind a well secured firewall.

See /usr/share/packages/doc/mythweb/README for instructions on getting it working

%package -n mythmovies
Summary: movie announcements plugin for mythtv
Group: Applications/Multimedia
Requires: mythtv-frontend-api = %{apiversion}

%description -n mythmovies
This is a mythtv plugin for movie announcements

%package -n mythzoneminder
Summary: zoneminder plugin for mythtv
Group: Applications/Multimedia
Requires: mythtv-frontend-api = %{apiversion}

%description -n mythzoneminder
This is a mythtv plugin for zoneminder

%if %suse_version >= 930
%debug_package
%endif

%prep
%setup -q
%patch0 -p1
echo "include ( %{_datadir}/mythtv/build/settings.pro )" >> settings.pro

%ifnarch %{ix86}
cat >> settings.pro << EOF
DEFINES -= HAVE_MMX
EOF
%endif

cd mythmusic

# Fix /mnt/store -> /var/lib/mythmusic
perl -pi -e's|/mnt/store/music|%{_varlibdir}/mythmusic|' mythmusic/globalsettings.cpp

cd ..
cd mythvideo

# Fix /mnt/store -> /var/lib/mythmusic
perl -pi -e's|/share/Movies/dvd|%{_varlibdir}/mythvideo|' mythvideo/globalsettings.cpp

cd ..

cat >> settings.pro << EOF
INCLUDEPATH += %{_includedir}/mythtv
INCLUDEPATH += %{_includedir}/speech_tools
LIBS *= -L/usr/X11R6/%{_lib}
EOF

# Fix /usr/local -> %{_prefix}
grep -rl /usr/local . | xargs perl -pi -e's|/usr/local|'%{_prefix}'|g' 

%build
export QTDIR=/usr/lib/qt3
export PATH=$QTDIR/bin:$PATH
./configure --enable-all
qmake mythplugins.pro
make %{?_smp_mflags} 

%install
rm -rf %{buildroot}
make install INSTALL_ROOT=%{buildroot}

mkdir -p %{buildroot}%{_varlibdir}/mythmusic
mkdir -p %{buildroot}%{_varlibdir}/mythvideo
mkdir -p %{buildroot}%{_varlibdir}/pictures
mkdir -p %{buildroot}%{_datadir}/mythtv/games/nes/{roms,screens}
mkdir -p %{buildroot}%{_datadir}/mythtv/games/snes/{roms,screens}
#mkdir -p %{buildroot}%{_datadir}/mythtv/games/xmame/{roms,screens,flyers,cabs}
mkdir -p %{buildroot}%{_datadir}/mythtv/games/PC/screens
mkdir -p %{buildroot}%{_datadir}/xmame
ln -s %{_datadir}/xmame %{buildroot}%{_datadir}/mythtv/games/xmame
mkdir -p %{buildroot}%{_datadir}/xmame/flyers
ln -s snap %{buildroot}%{_datadir}/xmame/screens

cp -a mythgame/gamelist.xml %{buildroot}%{_datadir}/mythtv/games/PC/
#copy/install mythweb files
mkdir -p %{buildroot}/srv/www/htdocs
cp -Rf mythweb %{buildroot}/srv/www/htdocs
mkdir -p %{buildroot}%{_docdir}/mythweb
mv %{buildroot}/srv/www/htdocs/mythweb/LICENSE %{buildroot}%{_docdir}/mythweb
mv %{buildroot}/srv/www/htdocs/mythweb/README %{buildroot}%{_docdir}/mythweb
mv %{buildroot}/srv/www/htdocs/mythweb/INSTALL %{buildroot}%{_docdir}/mythweb
cp %{SOURCE2}  %{buildroot}%{_docdir}/mythweb/README.SUSE
install -D %{SOURCE1} %{buildroot}/etc/apache2/conf.d/mythweb.conf

%clean
rm -rf %{buildroot}

%files doc
%defattr(-,root,root,-)
%doc COPYING

%files -n mythmusic
%defattr(-,root,root,-)
%doc mythmusic/README mythmusic/COPYING mythmusic/AUTHORS mythmusic/musicdb
%{_libdir}/mythtv/plugins/libmythmusic.so
%{_varlibdir}/mythmusic
%{_datadir}/mythtv/musicmenu.xml
%{_datadir}/mythtv/music_settings.xml
%{_datadir}/mythtv/i18n/mythmusic_*.qm
%{_datadir}/mythtv/themes/default/mm_*.png
%{_datadir}/mythtv/themes/default/ff_*.png
%{_datadir}/mythtv/themes/default/play_*.png
%{_datadir}/mythtv/themes/default/stop_*.png
%{_datadir}/mythtv/themes/default/prev_*.png
%{_datadir}/mythtv/themes/default/next_*.png
%{_datadir}/mythtv/themes/default/pause_*.png
%{_datadir}/mythtv/themes/default/rew_*.png
%{_datadir}/mythtv/themes/default/track_info_background.png
%{_datadir}/mythtv/themes/default/selectionbar.png
%{_datadir}/mythtv/themes/default/miniplayer_background.png
%{_datadir}/mythtv/themes/default/music-sel-bg.png
%{_datadir}/mythtv/themes/default/music-ui.xml

%files -n mythvideo
%defattr(-,root,root,-)
%doc mythvideo/AUTHORS mythvideo/README* mythvideo/COPYING mythvideo/videodb
%{_bindir}/mtd
%{_libdir}/mythtv/plugins/libmythvideo.so
%{_datadir}/mythtv/mythvideo
%{_datadir}/mythtv/i18n/mythvideo_*.qm
%{_datadir}/mythtv/themes/default/video-ui.xml
%{_datadir}/mythtv/themes/default/dvd-ui.xml
%{_datadir}/mythtv/themes/default/mv-*.png
%{_datadir}/mythtv/themes/default/mv_*.png
%{_datadir}/mythtv/themes/default/md_*.png
%{_datadir}/mythtv/video_settings.xml
%{_datadir}/mythtv/videomenu.xml
%{_varlibdir}/mythvideo
%{_datadir}/mythtv/themes/default-wide/video-ui.xml
%{_datadir}/mythtv/themes/default-wide/dvd-ui.xml

%files -n mythgallery
%defattr(-,root,root,-)
%doc mythgallery/AUTHORS mythgallery/README mythgallery/COPYING
%{_libdir}/mythtv/plugins/libmythgallery.so
%{_datadir}/mythtv/themes/default/gallery-ui.xml
%{_datadir}/mythtv/themes/default/gallery-*.png
%{_datadir}/mythtv/i18n/mythgallery_*.qm
%{_varlibdir}/pictures

%files -n mythgame
%defattr(-,root,root,-)
%{_libdir}/mythtv/plugins/libmythgame.so
%dir %{_datadir}/mythtv/games
%dir %{_datadir}/mythtv/games/xmame
%config(noreplace) %{_datadir}/mythtv/games/PC/gamelist.xml
%{_datadir}/xmame/screens
%{_datadir}/xmame/flyers
%{_datadir}/mythtv/game_settings.xml
%{_datadir}/mythtv/themes/default/game-ui.xml
%{_datadir}/mythtv/i18n/mythgame_*.qm

%files -n mythnews
%defattr(-,root,root,-)
%doc mythnews/README mythnews/AUTHORS mythnews/COPYING mythnews/ChangeLog
%{_libdir}/mythtv/plugins/libmythnews.so
%{_datadir}/mythtv/mythnews
%{_datadir}/mythtv/themes/default/news-ui.xml
%{_datadir}/mythtv/themes/default/news-info-bg.png
%{_datadir}/mythtv/themes/default/enclosures.png
%{_datadir}/mythtv/themes/default/need-download.png
%{_datadir}/mythtv/i18n/mythnews_*.qm

%files -n mythbrowser
%defattr(-,root,root,-)
%doc mythbrowser/README mythbrowser/COPYING mythbrowser/AUTHORS mythbrowser/ChangeLog
%{_bindir}/mythbrowser
%{_libdir}/mythtv/plugins/libmythbookmarkmanager.so
%{_datadir}/mythtv/themes/default/webpage.png
%{_datadir}/mythtv/i18n/mythbrowser_*.qm

%files -n mythphone
%defattr(-,root,root,-)
%doc mythphone/README mythphone/COPYING mythphone/AUTHORS mythphone/TODO
%{_libdir}/mythtv/plugins/libmythphone.so
%{_datadir}/mythtv/themes/default/phone-ui.xml
%{_datadir}/mythtv/themes/default/webcam-ui.xml
%{_datadir}/mythtv/themes/default/mp_*.png
%{_datadir}/mythtv/themes/default/phone.png
%{_datadir}/mythtv/i18n/mythphone_*.qm

%files -n mythcontrols
%defattr(-,root,root,-)
%doc mythcontrols/README mythcontrols/AUTHORS mythcontrols/COPYING mythcontrols/TODO
%{_libdir}/mythtv/plugins/libmythcontrols.so
%{_datadir}/mythtv/i18n/mythcontrols_*.qm
%{_datadir}/mythtv/themes/default/controls-ui.xml
%{_datadir}/mythtv/themes/default/kb-button-off.png
%{_datadir}/mythtv/themes/default/kb-button-on.png

%files -n mythflix
%defattr(-,root,root,-)
%doc mythflix/README mythflix/AUTHORS mythflix/COPYING mythflix/ChangeLog
%{_libdir}/mythtv/plugins/libmythflix.so
%{_datadir}/mythtv/mythflix
%{_datadir}/mythtv/i18n/mythflix_*
%{_datadir}/mythtv/netflix_menu.xml
%{_datadir}/mythtv/themes/default/netflix-ui.xml
%{_datadir}/mythtv/themes/default/title_netflix.png

%files -n mytharchive
%defattr(-,root,root,-)
%doc mytharchive/README mytharchive/COPYING mytharchive/AUTHORS mytharchive/TODO
%{_bindir}/mytharchivehelper
%{_libdir}/mythtv/plugins/libmytharchive.so
%{_datadir}/mythtv/mytharchive
%{_datadir}/mythtv/archive*.xml
%{_datadir}/mythtv/i18n/mytharchive_*.qm
%{_datadir}/mythtv/themes/default/ma_*png
%{_datadir}/mythtv/themes/default*/mytharchive-ui.xml
%{_datadir}/mythtv/themes/default*/mythburn-ui.xml
%{_datadir}/mythtv/themes/default*/mythnative-ui.xml

%files -n mythweb
%defattr(-,root,root,-)
%doc %{_docdir}/mythweb
%config(noreplace) /etc/apache2/conf.d/mythweb.conf
%attr(-,wwwrun,www) /srv/www/htdocs/mythweb

%files -n mythweather
%defattr(-,root,root,-)
%doc mythweather/AUTHORS mythweather/COPYING mythweather/README
%{_libdir}/mythtv/plugins/libmythweather.so
%{_datadir}/mythtv/i18n/mythweather_*.qm
%{_datadir}/mythtv/weather_settings.xml
%{_datadir}/mythtv/themes/default-wide/mw-*.png
%{_datadir}/mythtv/mythweather
%{_datadir}/mythtv/themes/default/weather-ui.xml
%{_datadir}/mythtv/themes/default-wide/weather-ui.xml
%{_datadir}/mythtv/themes/default/cloudy.png
%{_datadir}/mythtv/themes/default/fair.png
%{_datadir}/mythtv/themes/default/flurries.png
%{_datadir}/mythtv/themes/default/fog.png
%{_datadir}/mythtv/themes/default/logo.png
%{_datadir}/mythtv/themes/default/lshowers.png
%{_datadir}/mythtv/themes/default/mcloudy.png
%{_datadir}/mythtv/themes/default/mw_*.png
%{_datadir}/mythtv/themes/default/mwmain.png
%{_datadir}/mythtv/themes/default/pcloudy.png
%{_datadir}/mythtv/themes/default/rainsnow.png
%{_datadir}/mythtv/themes/default/showers.png
%{_datadir}/mythtv/themes/default/snowshow.png
%{_datadir}/mythtv/themes/default/sunny.png
%{_datadir}/mythtv/themes/default/thunshowers.png
%{_datadir}/mythtv/themes/default/unknown.png

%files -n mythmovies
%defattr(-,root,root,-)
%doc mythmovies/TODO mythmovies/COPYING mythmovies/README
%{_bindir}/ignyte
%{_libdir}/mythtv/plugins/libmythmovies.so
%{_datadir}/mythtv/themes/default/mv_*png
%{_datadir}/mythtv/themes/default/movies-ui.xml
%{_datadir}/mythtv/themes/default-wide/movies-ui.xml
%{_datadir}/mythtv/themes/default-wide/mv-*
%{_datadir}/mythtv/themes/default-wide/mv_*

%files -n mythzoneminder
%defattr(-,root,root,-)
%doc mythzoneminder/AUTHORS mythzoneminder/COPYING mythzoneminder/README
%{_bindir}/mythzmserver
%{_libdir}/mythtv/plugins/libmythzoneminder.so
%{_datadir}/mythtv/themes/default/mz_*.png
%{_datadir}/mythtv/zonemindermenu.xml
%{_datadir}/mythtv/themes/default/zoneminder-ui.xml
%{_datadir}/mythtv/themes/default-wide/zoneminder-ui.xml

%changelog
* Thu Aug 21 2008 Carsten Schoene <cs@linux-administrator.com>
- initial SLE_10 import
